package com.bankaudit.rest.process.service;

public interface BatchProcessingService {
	
	Boolean updateBatchProcessStatus(Integer legalEntityCode, String auditId, String auditTypeCode, boolean inProgress);
	
	Boolean executeBPforDynamicStatement(Integer legalEntityCode, String auditId, String auditTypeCode);
	
	Boolean getBatchInProgressStatus(Integer legalEntityCode, String auditId, String auditTypeCode);
	
	void updateAuditReportStmntRupeeSymbl(int legalEntityCode,String auditTypeCode,String auditId);

}
